Bug 3100 - Automatic account selection on reply fails if name is quoted and contains a comma
Summary: Automatic account selection on reply fails if name is quoted and contains a c...
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.10.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2014-03-06 16:38 CET by Christoph Ruegge
Modified: 2014-03-07 23:28 CET (History)
0 users

See Also:


Attachments
proposed patch (1.13 KB, patch)
2014-03-06 16:38 CET, Christoph Ruegge
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Ruegge 2014-03-06 16:38:58 CET
Created attachment 1336 [details]
proposed patch

Sometimes, the recipient name in the To or Cc header fields is quoted and contains a comma, for example if it is given as '"Secondname, Firstname" <addr@email.org>'. In that case, automatic account selection on reply fails since currently the header is simply split on every comma, yielding something like ' Firstname" <addr@email.org>', thus interpreting the address itself as being quoted. I have attached a patch to handle quoting more nicely.
Comment 1 Andrej Kacian 2014-03-07 23:28:58 CET
Patch committed (with minor formatting changes). Good catch, Christoph, thanks!
Comment 2 users 2014-03-07 23:29:24 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2014-03-07 23:29:23.510192361 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=97c87313fd73d572020bf54c353cc368112fa3df
Merge: 29dc22b c8409a4
Author: Colin Leroy <colin@colino.net>
Date:   Fri Mar 7 23:29:20 2014 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=c8409a47933b566ff93f2805e91980efd7df1c7d
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Fri Mar 7 23:24:39 2014 +0100

    When autoselecting account for a new message, handle quoted recipient names better. Patch by Christoph Ruegge, bug #3100.
Comment 3 users 2014-03-12 14:22:06 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2014-03-12 14:22:05.413690765 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=60d3111660cfe2d9b44818f69ad6efe5a0f547b0
Merge: dc1e914 df44084
Author: Colin Leroy <colin@colino.net>
Date:   Wed Mar 12 14:22:03 2014 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=df4408441e09f5ca6cb2c0537aec18159fc6daf9
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Wed Mar 12 14:20:33 2014 +0100

    Added Christoph Ruegge to  AUTHORS file, for bug #3100.